glab(1)

NAME

glab-release-download - Download asset files from a GitLab Release

SYNOPSIS

glab release download [flags]

DESCRIPTION

Download asset files from a GitLab Release

If no tag is specified, assets are downloaded from the latest release. Use --asset-name to specify a file name to download from the release assets. --asset-name flag accepts glob patterns.

OPTIONS

-n, --asset-name=[]
    Download only assets that match the name or a glob pattern

-D, --dir="."
    Directory to download the release assets to

OPTIONS INHERITED FROM PARENT COMMANDS

--help[=false]
    Show help for command

-R, --repo=""
    Select another repository using the OWNER/REPO or GROUP/NAMESPACE/REPO format or full URL or git URL

EXAMPLE
    Download all assets from the latest release
    $ glab release download
    Download all assets from the specified release tag
    $ glab release download v1.1.0
    Download assets with names matching the glob pattern
    $ glab release download v1.10.1 --asset-name="*.tar.gz"

SEE ALSO

glab-release(1)